<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * WordPress XML-RPC ユーティリティ
 *
 * WordPress XML-RPC APIのユーティリティ
 *
 * PHP version 5
 *
 * LICENSE: This LICENSE is in the New BSD license style.
 *
 * @category  WordPress
 * @package   WordPress_Core
 * @author    Takahiro Ooishi <taka0125@users.sourceforge.jp>
 * @version   SVN : $Id$
 * @copyright 2009 Takahiro Ooishi
 * @license   http://opensource.org/licenses/bsd-license.php New BSD License
 * @link      http://code.google.com/p/wpalforphp/wiki/WordPressCoreUtil
 */

/**
 * WordPress XML-RPC ユーティリティ
 *
 * WordPress XML-RPC APIのユーティリティ
 *
 * @category  WordPress
 * @package   WordPress_Core
 * @abstract
 * @author    Takahiro Ooishi <taka0125@users.sourceforge.jp>
 * @version   Release: @package_version@
 * @copyright 2009 Takahiro Ooishi
 * @license   http://opensource.org/licenses/bsd-license.php New BSD License
 * @link      http://code.google.com/p/wpalforphp/wiki/WordPressCoreUtil
 *
 */
abstract class WordPress_Core_Util
{
    static function lowerCamel($string)
    {
        return strtolower(substr($string, 0, 1)) . substr(self::upperCamel($string), 1);
    }

    static function upperCamel($string)
    {
        $string = str_replace('_', ' ', strtolower($string));
        $string = str_replace(' ', '', ucwords($string));
        return $string;
    }

    static function underScore($string)
    {
        $string = strtolower(preg_replace('/([a-z])([A-Z])/', "$1_$2", $string));
        return $string;
    }

    static function createDateTime($timestamp)
    {
        $timestamp = date('c', $timestamp);
        xmlrpc_set_type($timestamp, 'datetime');
        return $timestamp;
    }

    static function createBase64($file_path)
    {
        $data = file_get_contents($file_path);
        xmlrpc_set_type($data, 'base64');
        return $data;
    }
}
